package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag752;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT752Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag21Creator extends AbsTagCreate {

     private MT752Creator mt752Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt752Creator= (MT752Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt752Creator.getPresentingBanksReference();
        mt752Creator.set("21", tag21Value);
    }
}

